FROM php:8.1-cli

ENV APP_DIR /application

COPY ./php8.1/dev/xdebug.ini /usr/local/etc/php/conf.d/xdebug.ini

# Встановлення PHP розширень та інших необхідних пакетів
RUN apt-get update && apt-get install -y \
        libcurl4 \
        libcurl4-openssl-dev \
        libxml2-dev \
        libzookeeper-mt-dev \
        curl \
        autoconf \
        g++ \
        make \
        bash \
        git \
        pkg-config \
    && docker-php-ext-install pdo_mysql mysqli sockets \
    && curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer \
    && pecl install solr && docker-php-ext-enable solr \
    && pecl install xdebug && docker-php-ext-enable xdebug

WORKDIR $APP_DIR
